Skip to main content
GET
/
project
/
{project_id}
/
location
/
{location}
/
postgres
/
{postgres_database_reference}
/
upgrade
Get PostgreSQL database upgrade status
curl --request GET \
  --url https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/upgrade \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/upgrade"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.ubicloud.com/project/{project_id}/location/{location}/postgres/{postgres_database_reference}/upgrade', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "upgrade_status": "<string>",
  "upgrade_stage": "<string>"
}
{
"error": {
"code": 401,
"message": "There was an error logging in",
"type": "InvalidCredentials",
"details": {}
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

project_id
string
required

ID of the project

Pattern: ^pj[0-9a-hj-km-np-tv-z]{24}$
Example:

"pjkkmx0f2vke4h36nk9cm8v8q0"

location
string
required

The Ubicloud location/region

Example:

"eu-central-h1"

postgres_database_reference
string
required

Postgres database ID or name Resource ID or name

Pattern: ^[a-z0-9](?:[a-z0-9\-]{0,61}[a-z0-9])?$

Response

A Postgres Database Upgrade Status

current_version
enum<string>
required
Available options:
16,
17,
18
target_version
enum<string>
required
Available options:
16,
17,
18
upgrade_status
string
required
upgrade_stage
string | null